Loading...
Searching...
No Matches
Opm::FvBaseConstraints< TypeTag > Class Template Reference

Class to specify constraints for a finite volume spatial discretization. More...

`#include <fvbaseconstraints.hh>`

Inheritance diagram for Opm::FvBaseConstraints< TypeTag >:

## Public Member Functions

| FvBaseConstraints (const FvBaseConstraints &)=default
bool | isActive () const
| Returns true if the constraints are enforced.
void | setActive (bool yesno)
| Specify whether the constraints should be enforced or not.

## Detailed Description

template<class TypeTag>
class Opm::FvBaseConstraints< TypeTag >

Class to specify constraints for a finite volume spatial discretization.

Note that eWoms does not support "partial" constraints. (I.e., either all equations must be constraint or none.)

The documentation for this class was generated from the following file:

- opm/models/discretization/common/fvbaseconstraints.hh